/* button effect */
.theme-primary-button .elementor-button{
	position: relative;
}
.theme-primary-button .elementor-button{
	background: #fff;
	color: #37474f;
	overflow: hidden;
	transition: color 0.3s;
}
.theme-primary-button .elementor-button.button--inverted {
	background: none;
	color: #fff;
}
.theme-primary-button .elementor-button::before,
.theme-primary-button .elementor-button::after {
	content: '';
	position: absolute;
	height: 100%;
	width: 100%;
	bottom: 100%;
	left: 0;
	z-index: 0;
	transition: transform 0.3s;
	transition-timing-function: cubic-bezier(0.75, 0, 0.125, 1);
}
.theme-primary-button .elementor-button .elementor-button-content-wrapper{
	position: relative;
	z-index: 1;
}
.theme-primary-button .elementor-button::before {
	background: var( --e-global-color-primary );
	background-image: linear-gradient(to left, #d5405a, #e44f47);
}
.theme-primary-button .elementor-button::after {
	background: var( --e-global-color-secondary );
}
@media(hover :hover){
.theme-primary-button .elementor-button:hover {
	color: #fff;
	background-color: transparent;
}
.theme-primary-button .elementor-button:hover::before,
.theme-primary-button .elementor-button:hover::after {
	transform: translate3d(0, 100%, 0);
}
.theme-primary-button .elementor-button:hover::after {
    /* transition-delay: 0.175s; */
    transition-delay: 0.18s;
}
}
/*  */
/* theme-outline-button */
.theme-outline-button .elementor-button{
	position: relative;
}
.theme-outline-button .elementor-button{
	background: #fff;
	color: #37474f;
	overflow: hidden;
	transition: color 0.3s;
}
.theme-outline-button .elementor-button::before,
.theme-outline-button .elementor-button::after {
	content: '';
	position: absolute;
	height: 100%;
	width: 100%;
	bottom: 100%;
	left: 0;
	z-index: 0;
	transition: transform 0.3s;
	transition-timing-function: cubic-bezier(0.75, 0, 0.125, 1);
}
.theme-outline-button .elementor-button .elementor-button-content-wrapper{
	position: relative;
	z-index: 1;
}
.theme-outline-button .elementor-button::after {
	background: var( --e-global-color-primary );
	/* background-image: linear-gradient(to left, #d5405a, #e44f47); */
}
.theme-outline-button .elementor-button::before {
	background: var( --e-global-color-secondary );
}
@media(hover :hover){
.theme-outline-button .elementor-button:hover {
	color: var( --e-global-color-secondary ) !important;
	background-color: transparent;
	border-color: var( --e-global-color-primary ) !important;
}
.theme-outline-button .elementor-button:hover::before,
.theme-outline-button .elementor-button:hover::after {
	transform: translate3d(0, 100%, 0);
}
.theme-outline-button .elementor-button:hover::after {
    /* transition-delay: 0.175s; */
    transition-delay: 0.18s;
}
}
/* theme-outline-button end here */

/* theme-white-button */
.theme-white-button .elementor-button{
	position: relative;
}
.theme-white-button .elementor-button{
	background: #fff;
	color: #37474f;
	overflow: hidden;
	transition: color 0.3s;
}
.theme-white-button .elementor-button::before,
.theme-white-button .elementor-button::after {
	content: '';
	position: absolute;
	height: 100%;
	width: 100%;
	bottom: 100%;
	left: 0;
	z-index: 0;
	transition: transform 0.3s;
	transition-timing-function: cubic-bezier(0.75, 0, 0.125, 1);
}
.theme-white-button .elementor-button .elementor-button-content-wrapper{
	position: relative;
	z-index: 1;
}
.theme-white-button .elementor-button::after {
	background: var( --e-global-color-113fb4f );
	/* background-image: linear-gradient(to left, #d5405a, #e44f47); */
}
.theme-white-button .elementor-button::before {
	background: var( --e-global-color-primary );
}
@media(hover :hover){
.theme-white-button .elementor-button:hover {
	color: var( --e-global-color-secondary ) !important;
	background-color: transparent;
	border-color: var( --e-global-color-113fb4f ) !important;
}
.theme-white-button .elementor-button:hover::before,
.theme-white-button .elementor-button:hover::after {
	transform: translate3d(0, 100%, 0);
}
.theme-white-button .elementor-button:hover::after {
    /* transition-delay: 0.175s; */
    transition-delay: 0.18s;
}
}
/* theme-white-button end here */
/* theme-white-outline-button */
.theme-white-outline-button .elementor-button{
	position: relative;
}
.theme-white-outline-button .elementor-button{
	background: #fff;
	color: #37474f;
	overflow: hidden;
	transition: color 0.3s;
}
.theme-white-outline-button .elementor-button::before,
.theme-white-outline-button .elementor-button::after {
	content: '';
	position: absolute;
	height: 100%;
	width: 100%;
	bottom: 100%;
	left: 0;
	z-index: 0;
	transition: transform 0.3s;
	transition-timing-function: cubic-bezier(0.75, 0, 0.125, 1);
}
.theme-white-outline-button .elementor-button .elementor-button-content-wrapper{
	position: relative;
	z-index: 1;
}
.theme-white-outline-button .elementor-button::after {
	background: var( --e-global-color-113fb4f );
	/* background-image: linear-gradient(to left, #d5405a, #e44f47); */
}
.theme-white-outline-button .elementor-button::before {
	background: var( --e-global-color-primary );
}
@media(hover :hover){
.theme-white-outline-button .elementor-button:hover {
	color: var( --e-global-color-secondary ) !important;
	background-color: transparent;
	border-color: var( --e-global-color-113fb4f ) !important;
}
.theme-white-outline-button .elementor-button:hover::before,
.theme-white-outline-button .elementor-button:hover::after {
	transform: translate3d(0, 100%, 0);
}
.theme-white-outline-button .elementor-button:hover::after {
    /* transition-delay: 0.175s; */
    transition-delay: 0.18s;
}
}
/* theme-white-button end here */

/* pp-pricing-table-button */
.pp-pricing-table-button{
	position: relative;
	overflow: hidden;
}
.pp-pricing-table-button::before,
.pp-pricing-table-button::after {
	content: '';
	position: absolute;
	height: 100%;
	width: 100%;
	bottom: 100%;
	left: 0;
	z-index: 0;
	transition: transform 0.3s;
	transition-timing-function: cubic-bezier(0.75, 0, 0.125, 1);
}
.pp-pricing-table-button span{
	position: relative;
	z-index: 1;
}
.pp-pricing-table-button::after {
	background: var( --e-global-color-primary );
	/* background-image: linear-gradient(to left, #d5405a, #e44f47); */
}
.pp-pricing-table-button::before {
	background: var( --e-global-color-secondary );
}
@media(hover :hover){
	.pp-pricing-table-button:hover {
		color: var( --e-global-color-secondary ) !important;
		background-color: transparent;
		border-color: var( --e-global-color-primary ) !important;
	}
	.pp-pricing-table-button:hover::before,
	.pp-pricing-table-button:hover::after {
		transform: translate3d(0, 100%, 0);
	}
	.pp-pricing-table-button:hover::after {
		/* transition-delay: 0.175s; */
		transition-delay: 0.18s;
	}
}
/* pp-pricing-table-button */